Subject: Re: bug#17095: [PATCH] grep: proceed the `beg' pointer after exact matched in KWSet

From: Jim Meyering <[email-masked]>
Date: Thu, 27 Mar 2014 12:05:48 -0700

On Thu, Mar 27, 2014 at 5:54 AM, Norihiro Tanaka <[email-masked]> wrote:
> Jim,
>
> Thanks, I have added the comments to the patch and have slightly
> modified the comment you wrote.

Norihiro,

I see you also added a test case.  Thanks for that.  I've amended that
commit log message with a corresponding ChangeLog entry.

You're right that "beg" must not be advanced, so I have adjusted the
patch to factor out the call to dfaexec without changing "beg".  I've also
augmented the first test to require an exact match of the sole input line,
and changed the other test to require not just a nonzero exit, but $? = 1.